if (!hasMemo("talkToad") || (hasMemo("mario") && hasMemo("mario_pass")))
{
  setMemo("talkToad");
  if (!this.useIcon.isIcon) this.useIcon.initIcon();
}
else if (this.useIcon.isIcon) this.useIcon.initItem(asItem("Mushroom"));